local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.MiningLevelling(container)

local frame = AceGUI:Create("Frame")
frame:SetTitle("Mining Levelling Guide")
frame:SetStatusText("|cff00C78CWorthIt-Guides")
frame:SetWidth(400)
frame:SetHeight(500)
frame:SetLayout("Fill")


scrollcontainer = AceGUI:Create("SimpleGroup") -- "InlineGroup" is also good
scrollcontainer:SetFullWidth(true)
scrollcontainer:SetFullHeight(true) -- probably?
scrollcontainer:SetLayout("Fill") -- important!

frame:AddChild(scrollcontainer)

scroll = AceGUI:Create("ScrollFrame")
scroll:SetLayout("Flow") -- probably?
scrollcontainer:AddChild(scroll)



 --[[ Introduction ]]--

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Mining:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
 --[[ Shadowlands ]]--
 
  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Shadowlands:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CStep 1:".."|cffffffff 1 - 150")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
    local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("You will first need to go to Oribos and speak to the trainer to learn Shadowlands Mining. The next part would be to make your way to Maldraxxus as this has one of the best mining locations.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local ShadowlandsWaypoint = AceGUI:Create("Button")
  ShadowlandsWaypoint:SetText("Trainer Waypoint")
  ShadowlandsWaypoint:SetWidth(350)
  scroll:AddChild(ShadowlandsWaypoint)
  ShadowlandsWaypoint:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way 39.9 32.0") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  local ShadowlandsRoute = AceGUI:Create("Button")
  ShadowlandsRoute:SetText("Import Route")
  ShadowlandsRoute:SetWidth(350)
  scroll:AddChild(ShadowlandsRoute)
  ShadowlandsRoute:SetCallback("OnClick", function() 

  core.OxxeinOreImport(container)
  
  end)
  
 
 --[[ Battle For Azeroth ]]--
 
  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Battle For Azeroth:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
 
 local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CStep 1:".."|cffffffff 1 - 150")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

    local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("We will first be wanting to learn the BFA Mining in our capital City which is Boralus for Alliance and Zandalar for Horde. Next we will want to make our way over towards Tiraguard sound as this has a high density of nodes for mining Platinum, Monelite and Storm Silver Ore.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local MiningWayAllianceBFA = AceGUI:Create("Button")
  MiningWayAllianceBFA:SetText("Trainer Waypoint:".." Horde")
  MiningWayAllianceBFA:SetWidth(350)
  scroll:AddChild(MiningWayAllianceBFA)
  MiningWayAllianceBFA:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way Zuldazar 44.0 39.0") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
  
  local MiningWayHordeBFA = AceGUI:Create("Button")
  MiningWayHordeBFA:SetText("Trainer Waypoint:".." Alliance")
  MiningWayHordeBFA:SetWidth(350)
  scroll:AddChild(MiningWayHordeBFA)
  MiningWayHordeBFA:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way Boralus 75.2 7.5") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
  
  local MiningRouteAllianceBFA = AceGUI:Create("Button")
  MiningRouteAllianceBFA:SetText("Import Route")
  MiningRouteAllianceBFA:SetWidth(350)
  scroll:AddChild(MiningRouteAllianceBFA)  
  MiningRouteAllianceBFA:SetCallback("OnClick", function() 

  core.MoneliteOreImport(container)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
 
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
 
 local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CStep 2:".."|cffffffff 1 - 175")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  
    local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("With Osmenite Ore we will be making our way to Nazjatar and to make sure we have 150 skill in mining. You will need to speak to the mining trainer in your zones base ( all trainers are clustered together). Once learned we will make our way onto farming the zone for Osmenite ore, as for rank one it is easy to obtain, however for rank two we will need to obtain the “Brinestone Pickaxe” from mobs in the zone so some mob grinding is required. Once obtained you will have to use this to obtain rank two Osmenite from Avarius.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local MiningRouteHordeBFA2 = AceGUI:Create("Button")
  MiningRouteHordeBFA2:SetText("Trainer Waypoint:".." Horde")
  MiningRouteHordeBFA2:SetWidth(350)
  scroll:AddChild(MiningRouteHordeBFA2)
  MiningRouteHordeBFA2:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way Zuldazar 44.0 39.0") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
 
  local MiningRouteAllianceBFA2 = AceGUI:Create("Button")
  MiningRouteAllianceBFA2:SetText("Trainer Waypoint:".." Alliance")
  MiningRouteAllianceBFA2:SetWidth(350)
  scroll:AddChild(MiningRouteAllianceBFA2)
  MiningRouteAllianceBFA2:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way Boralus 75.2 7.5") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
 
  local BFARareMining = AceGUI:Create("Button")
  BFARareMining:SetText("Rank 2: Rare Elite Waypoint")
  BFARareMining:SetWidth(350)
  scroll:AddChild(BFARareMining)
  BFARareMining:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way Nazjatar 36.8 11.6") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
   
  local BFAMiningRoute2 = AceGUI:Create("Button")
  BFAMiningRoute2:SetText("Import Route")
  BFAMiningRoute2:SetWidth(350)
  scroll:AddChild(BFAMiningRoute2)  
  BFAMiningRoute2:SetCallback("OnClick", function() 

  core.OsmeniteOreImport(container)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
   
 --[[ Legion ]]--
 
  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Legion:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CStep 1:".."|cffffffff 1 - 100")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local desc = AceGUI:Create("Label")
  desc:SetText("we will be heading over to The Broken Isle's Dalaran to learn the basic Mining skill. In this expansion you will be needing to not only level up your skill point but also level up your ranks from rank one to rank three but not to worry as there is only three main ores to rank up in this expansion. With this you will be wanting to start your farming journey in Suramar while when levelling up your skill a quest item will appear to rank up Felslate or Leystone ore.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local LegionMiningTrainer = AceGUI:Create("Button")
  LegionMiningTrainer:SetText("Trainer Waypoint")
  LegionMiningTrainer:SetWidth(350)
  scroll:AddChild(LegionMiningTrainer)
  LegionMiningTrainer:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way 46.5 26.9") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
   
  local LegionMiningRoute = AceGUI:Create("Button")
  LegionMiningRoute:SetText("Import Route")
  LegionMiningRoute:SetWidth(350)
  scroll:AddChild(LegionMiningRoute)  
  LegionMiningRoute:SetCallback("OnClick", function() 

  core.FelslateImport(container)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
 

 --[[ Warlords of Dreanor ]]--
 
  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Warlords of Dreanor:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
 
  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CStep 1:".."|cffffffff 1 - 100")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
    local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Moving forward into Warlords of Draenor we will find this one to be the most easy of the skills to max out as this just requires you to mine anywhere. However the best area to obtain large amounts of Blackrock and True Iron Ore is definitely Tannan Jungle.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local WODMiningRoute = AceGUI:Create("Button")
  WODMiningRoute:SetText("Import Route")
  WODMiningRoute:SetWidth(350)
  scroll:AddChild(WODMiningRoute) 
  WODMiningRoute:SetCallback("OnClick", function() 


core.BlackrockImport(container)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
 
  
 --[[ Mists of Pandaria ]]--
 
  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Mists of Pandaria:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
 
  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CStep 1:".."|cffffffff 1 - 75")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
 
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Mists of Pandaria we will be firstly making our way over to the Jade Forest to pick up our Pandarian Mining skill. This is one of the weirder trainer locations but should not be a problem to get to and also as a side note something you would want to take note of because you will be coming back here quite a bit with other professions.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("we will be wanting to make our way over to The Valley of the Four Winds.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local MOPWayMining = AceGUI:Create("Button")
  MOPWayMining:SetText("Trainer Waypoint")
  MOPWayMining:SetWidth(350)
  scroll:AddChild(MOPWayMining)
  MOPWayMining:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way The Jade Forest 46.0 29.4") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
   
  local MOPWayMiningRoute = AceGUI:Create("Button")
  MOPWayMiningRoute:SetText("Import Route")
  MOPWayMiningRoute:SetWidth(350)
  scroll:AddChild(MOPWayMiningRoute) 
  MOPWayMiningRoute:SetCallback("OnClick", function() 

core.GhostIronImport(container)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
   
 --[[ Cataclysm ]]--
 
  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Cataclysm:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CStep 1:".."|cffffffff 1 - 75")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
    local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("First you will need to make your way over to Stormwind or Orgrimmar to learn Cataclysm Mining. you will be wanting to make your way to Uldum which you are able to take a portal to from your Capital City.  ")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local HordeTrainerCataMining = AceGUI:Create("Button")
  HordeTrainerCataMining:SetText("Trainer Waypoint:".." Horde")
  HordeTrainerCataMining:SetWidth(350)
  scroll:AddChild(HordeTrainerCataMining)
  HordeTrainerCataMining:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way Orgrimmar 44.6 78.6") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
 
  local AllianceTrainerCataMining = AceGUI:Create("Button")
  AllianceTrainerCataMining:SetText("Trainer Waypoint:".." Alliance")
  AllianceTrainerCataMining:SetWidth(350)
  scroll:AddChild(AllianceTrainerCataMining)
  AllianceTrainerCataMining:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way Stormwind 59.6 37.6") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
   
  local CataMiningRoute = AceGUI:Create("Button")
  CataMiningRoute:SetText("Import Route")
  CataMiningRoute:SetWidth(350)
  scroll:AddChild(CataMiningRoute)
  CataMiningRoute:SetCallback("OnClick", function() 

core.PyriteImport(container)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
   
 --[[ Wrath of the Lich King ]]--
 
  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Wrath of the Lich King:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
   local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CStep 1:".."|cffffffff 1 - 75")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
    local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("you will need to go to Dalaran and learn the Northrend Mining skill before then heading over to Wintergrasp . Why Wintergrasp? , well this is because Wintergrasp has high amounts of nodes around the area, along with Saronite and Titanium Ore.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local WOTLKWayTrainerMining = AceGUI:Create("Button")
  WOTLKWayTrainerMining:SetText("Trainer Waypoint")
  WOTLKWayTrainerMining:SetWidth(350)
  scroll:AddChild(WOTLKWayTrainerMining)
  WOTLKWayTrainerMining:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way 46.2 26.6") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
   
  local WOTLKWayRouteMining = AceGUI:Create("Button")
  WOTLKWayRouteMining:SetText("Import Route")
  WOTLKWayRouteMining:SetWidth(350)
  scroll:AddChild(WOTLKWayRouteMining)
  WOTLKWayRouteMining:SetCallback("OnClick", function() 

core.TitaniumImport(container)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
   
 --[[ The Burning Crusade ]]--
 
  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125The Burning Crusade:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
   local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CStep 1:".."|cffffffff 1 - 75")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
    local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("First you will need to make your way over to Shattrath City and make you way to the Lower City to learn your expansion specific Mining. After doing this you will need to start mining in Terokkar Forest, we are choosing this zone to farm for two main reasons. The first one is that it has every ore in the expansion to farm up and secondly this has on average more Khorium Ore deposit drops.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local TBCMiningWay = AceGUI:Create("Button")
  TBCMiningWay:SetText("Trainer Waypoint")
  TBCMiningWay:SetWidth(350)
  scroll:AddChild(TBCMiningWay)
  TBCMiningWay:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way Shattrath City 36.0 48.6") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
   
  local TBCMiningRoute = AceGUI:Create("Button")
  TBCMiningRoute:SetText("Import Route")
  TBCMiningRoute:SetWidth(350)
  scroll:AddChild(TBCMiningRoute)
  TBCMiningRoute:SetCallback("OnClick", function() 

core.FelIronOreImport(container)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
   
 --[[ Vanilla ]]--

  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Vanilla:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
   local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CStep 1:".."|cffffffff 1 - 300")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("This will require you to farm one area from skill 1 until maxed out and that is Silithus. Most gold farmers worth there salt will know that the Thorium Ore farm is the best out of the old world mining farms and still today fetches steady sales and a good gold return for your time invested.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local VanillaMiningWayHorde = AceGUI:Create("Button")
  VanillaMiningWayHorde:SetText("Trainer Waypoint:".." Horde")
  VanillaMiningWayHorde:SetWidth(350)
  scroll:AddChild(VanillaMiningWayHorde)
  VanillaMiningWayHorde:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way Orgrimmar 44.6 78.6") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
 
  local VanillaMiningWayAlliance = AceGUI:Create("Button")
  VanillaMiningWayAlliance:SetText("Trainer Waypoint:".." Alliance")
  VanillaMiningWayAlliance:SetWidth(350)
  scroll:AddChild(VanillaMiningWayAlliance)
  VanillaMiningWayAlliance:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way Stormwind 59.6 37.6") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
   
  local VanillaMiningRoute = AceGUI:Create("Button")
  VanillaMiningRoute:SetText("Import Route")
  VanillaMiningRoute:SetWidth(350)
  scroll:AddChild(VanillaMiningRoute) 
  VanillaMiningRoute:SetCallback("OnClick", function() 

core.ThoriumOreImport(container)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
   
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
end